Package org.apache.commons.math3.util

# Class IterationEvent

java.lang.Object
java.util.EventObject
org.apache.commons.math3.util.IterationEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `IterativeLinearSolverEvent`

public class IterationEvent extends EventObject
The root class from which all events occurring while running an `IterationManager` should be derived.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`IterationEvent(Object source, int iterations)`
Creates a new instance of this class.

## Method Summary

Modifier and Type
Method
Description
`int`
`getIterations()`
Returns the number of iterations performed at the time `this` event is created.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IterationEvent

public IterationEvent(Object source, int iterations)
Creates a new instance of this class.

Parameters:
  `source` - the iterative algorithm on which the event initially occurred
  `iterations` - the number of iterations performed at the time `this` event is created

## Method Details

### getIterations

public int getIterations()
Returns the number of iterations performed at the time `this` event is created.

Returns:
  the number of iterations performed